<template>
  <sport-horizontal-game-entry-skeleton
    :bg-image="gameForDisplay.BackgroundImage"
    :use-slashes="true"
    :logo-image="gameForDisplay.ProviderLogoPath"
    :float-bg-image="gameForDisplay.FloatBackground"
    :person-image="gameForDisplay.StarImagePath"
    :label="isShowLabel ? gameForDisplay.GameName : ''"
    :is-new="gameForDisplay.IsNewGame"
    :is-hot="gameForDisplay.IsHotGame"
    :variant="variant"
  />
</template>

<script lang="ts">
import { computed, defineComponent, PropType } from "vue";
import { IGameBsi } from "@/models/bsiGameList";
import SportDisplayModel from "@/components/sport/sportDisplayModel";

export default defineComponent({
  name: "HorizontalGameEntry",
  props: {
    game: {
      type: Object as PropType<IGameBsi>,
      required: true,
    },
    isShowLabel: {
      type: Boolean,
      default: () => true,
    },
    variant: {
      type: String as PropType<
        "FLOATING_TAGS" | "TAGS_WITH_LOGO" | "LABEL_AND_PERSON"
      >,
      required: false,
      default: "FLOATING_TAGS",
    },
  },
  setup(props) {
    const gameForDisplay = computed(() => new SportDisplayModel(props.game));
    return {
      gameForDisplay
    };
  },
});
</script>
